/*
 * EjbtestFacade.java
 *
 * Created on November 28, 2006, 9:26 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ejb.test;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author mareks
 */
@Stateless
public class EjbtestFacade implements EjbtestFacadeLocal {

    @PersistenceContext
    private EntityManager em;
    
    /** Creates a new instance of EjbtestFacade */
    public EjbtestFacade() {
    }

    public void create(Ejbtest ejbtest) {
        em.persist(ejbtest);
    }

    public void edit(Ejbtest ejbtest) {
        em.merge(ejbtest);
    }

    public void destroy(Ejbtest ejbtest) {
        em.merge(ejbtest);
        em.remove(ejbtest);
    }

    public Ejbtest find(Object pk) {
        return (Ejbtest) em.find(Ejbtest.class, pk);
    }

    public List findAll() {
        return em.createQuery("select object(o) from Ejbtest as o").getResultList();
    }
    
}
