package ejb.test.ws;

import ejb.test.Ejbtest;
import ejb.test.EjbtestFacadeLocal;
import javax.ejb.*;
import javax.jws.Oneway;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * This is the bean class for the EjbTestWebService enterprise bean.
 * Created Nov 28, 2006 9:26:42 PM
 * @author mareks
 */

@Stateless
@WebService
public class EjbTestWebServiceBean {
    
    // Add business logic below. (Right-click in editor and choose
    // "EJB Methods > Add Business Method" or "Web Service > Add Operation")
    @EJB
    private EjbtestFacadeLocal ejbtestFacade;
    
    /**
     * Web service operation
     */
    @WebMethod
    @Oneway
    public void createBean(@WebParam(name = "pk") int pk, @WebParam(name = "name") String name) {
        Ejbtest t = new Ejbtest();
        t.setId(pk);
        t.setName(name);
        ejbtestFacade.create(t);
    }
    
    /**
     * Web service operation
     */
    @WebMethod
    @Oneway
    public void addSubBean(@WebParam(name = "pk") int pk, @WebParam(name = "id") int id, @WebParam(name = "name") String name) {
        Ejbtest t = ejbtestFacade.find(id);
        Ejbtest pt = new Ejbtest();
        pt.setId(pk);
        pt.setName(name);
        pt.setIdd(t);
        t.getEjbtestCollection().add(pt);
        //ejbtestFacade.edit(t);
    }
    
    /**
     * Web service operation
     */
    @WebMethod
    @Oneway
    public void deleteBean(@WebParam(name = "id") int id) {
        Ejbtest t = ejbtestFacade.find(id);
        ejbtestFacade.destroy(t);
    }
    
    
}
